Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343870 - cannot remove host device placeholder when removing whole group
Summary: cannot remove host device placeholder when removing whole group
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.0
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Martin Betak
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 08:17 UTC by Martin Polednik
Modified: 2017-02-15 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 15:06:31 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 67271 0 master MERGED webadmin: Fix selection of placeholder host devices in VmHostDevices subtab 2016-11-28 12:03:33 UTC

Description Martin Polednik 2016-06-08 08:17:35 UTC
Description of problem:
Normally, no one should be able to remove host device placeholder (grey device, automatically assigned by engine). Exception to that is when user selects the whole IOMMU group incl. placeholders.

Version-Release number of selected component (if applicable):
3.6-4.0

How reproducible:
Always

Steps to Reproduce:
1. Obtain a hardware with IOMMU group containing > 1 device,
2. assign one of the devices in IOMMU group,
3. from Virtual Machine -> Host Devices subtab, try to remove all devices in the same group.

Actual results:
Remove device is greyed out.

Expected results:
Remove device is not greyed out and removes whole group.

Additional info:

Comment 1 Sandro Bonazzola 2016-12-12 14:02:50 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 2 Nisim Simsolo 2017-02-05 13:33:55 UTC
verification  builds:
ovirt-engine-4.1.0.3-0.1.el7
libvirt-client-2.0.0-10.el7_3.4.x86_64
vdsm-4.19.4-1.el7ev.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.3.x86_64

Verification scenario: 
1. Add device which have another devices under the same IOMMU group. Verify all devices attached.
2. Mark all devices attached and verify "remove device" option is not grayed out.
3. Click "remove device" and verify all devices removed.


Note You need to log in before you can comment on or make changes to this bug.